--ShpFmt 1 Date
--ShpFmt 2 Date
Select 
IOR.OBJECTBEGINTIJD BeginTijd,
IOR.OBJECTEINDTIJD EindTijd,
to_char(IOR.TIJDSTIPREGISTRATIE, 'YYYY-MM-DD HH24:MI:SS') RegTijd,
IOR.ObjectType,
IOR.Bronhouder,
IOR.Namespace,
IOR.IDENTIFICATIE,
IOR.FYSIEKVOORKOMEN_BGT Fys_Bgt,
IOR.FYSIEKVOORKOMEN_PLUS Fys_Plus,
IOR.TYPE_BGT,
IOR.TYPE_PLUS,
IOR.FUNCTIE_BGT Func_Bgt,
IOR.FUNCTIE_PLUS Func_Plus,
IOR.STATUS_BGT Stat_Bgt,
IOR.STATUS_PLUS Stat_Plus,
Cast(IOR.ID_BAGPND as Varchar2(16)) ID_BAGPND,
Cast(IOR.ID_BAGOPR as Varchar2(16)) ID_BAGOPR,
Cast(IOR.IN_ONDERZOEK as Varchar2(4)) IN_ONDERZOEK,
Cast(IOR.OP_TALUD as Varchar2(4)) OP_TALUD,
Cast(IOR.IS_BEWEEGBAAR as Varchar2(4)) BEWEEGBAAR,
IOR.HOORT_BIJ_TYPE HOORT_BIJ,
IOR.RELATIEVEHOOGTELIGGING REL_HOOGTE,
IOR.NAAM,
IOR.WIJKCODE,
IOR.BUURTCODE,
IOR.HECTOMETERAANDUIDING,
Cast(IOB.BEHEERDER_1 as Varchar2(20)) BEHEER_1,
Cast(IOB.BEHEERDER_2 as Varchar2(20)) BEHEER_2,
Cast(IOB.BEHEERDER_3 as Varchar2(20)) BEHEER_3,
SDO_GEOM.SDO_ARC_DENSIFY(IOR.GEOMETRIE, 0.0005, 'arc_tolerance=0.05 unit=m') GEOMETRIE
 FROM
 NGM107.NGG_IMGEO_OBJECT_RAADPLEGEN IOR,
 NGM107.NGG_BOR_OBJECT_RAADPLEGEN IOB,
 table(NGM107.ngg_imgeo_object_pck.HORIZONTALE_MUTATIES(to_date('20230315 100930', 'YYYYMMDD HH24MISS'),null)) T
 where
 IOR.ID=T.IOR_ID_WORDT
 AND IOB.ID=T.IOB_ID_WORDT
 AND T.IOR_ID_WAS IS NULL
 AND IOR.bronhouder IN('G0757','G0766','G0784','G0785','G0788','G0797','G0798','G0809','G0824','G0865','L0002','L0003','L0004','P0030','G0855','L0001','W0539','W0652');
